unit uIEditorEntradaSalidaArticulos;

interface

uses
  uEditorDBItem, uBizInventario, uInventarioController, uBizPedidosProveedor;

type
  IEditorEntradaSalidaArticulos = interface(IEditorDBItem)
  ['{D9C21CA9-5923-4F89-ABBC-81128D2F5272}']
    function GetArticulos: IBizInventario;
    procedure SetArticulos(const Value: IBizInventario);
    property Articulos: IBizInventario read GetArticulos write SetArticulos;

    function GetInventario: IBizInventario;
    procedure SetInventario(const Value: IBizInventario);
    property Inventario: IBizInventario read GetInventario write SetInventario;

    function GetController : IInventarioController;
    procedure SetController (const Value : IInventarioController);
    property Controller : IInventarioController read GetController write SetController;

    function GetPedidoProveedor: IBizPedidoProveedor;
    procedure SetPedidoProveedor(const Value: IBizPedidoProveedor);
    property PedidoProveedor: IBizPedidoProveedor read GetPedidoProveedor write SetPedidoProveedor;

    function getResultadoModalOK: Boolean;
    property ResultadoModalOK: Boolean read getResultadoModalOK;        
  end;


implementation

end.
